Skip to main content
GET
/
v2
/
schedules
/
{schedule_id}
/
replicas
List
curl --request GET \
  --url https://api.incident.io/v2/schedules/{schedule_id}/replicas \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.incident.io/v2/schedules/{schedule_id}/replicas"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.incident.io/v2/schedules/{schedule_id}/replicas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "schedule_replicas": [
    {
      "created_at": "2021-08-17T13:28:57.801578Z",
      "id": "01G0J1EXE7AXZ2C93K61WBPYEH",
      "last_sync_error": "Failed to find external user for Milly",
      "last_synced_at": "2023-11-07T13:33:30Z",
      "mirror_window_days": 14,
      "replica_fallback_user_id": "PA7AXXN",
      "replica_provider": "pagerduty",
      "replica_provider_id": "PO8107X",
      "schedule_id": "01FDAG4SAP5TYPT98WGR2N7W91",
      "sources": [
        {
          "layer_id": "01G0J1EXE7AXZ2C93K61WBPYNH",
          "rotation_id": "01G0J1EXE7AXZ2C93K61WBPYEH"
        }
      ],
      "updated_at": "2021-08-17T13:28:57.801578Z",
      "user_statuses": [
        {
          "external_user_id": "PJYTRGS",
          "user_id": "01G0J1EXE7AXZ2C93K61WBPYEH"
        }
      ]
    }
  ]
}
🔑 Requires the schedules.view scope.

Authorizations

Authorization
string
header
required

API key from your incident.io dashboard (Settings → API keys)

Path Parameters

schedule_id
string
required

The schedule to list replicas for

Example:

"01FDAG4SAP5TYPT98WGR2N7W91"

Response

200 - application/json

OK response.

schedule_replicas
object[]
required
Example:
[
{
"created_at": "2021-08-17T13:28:57.801578Z",
"id": "01G0J1EXE7AXZ2C93K61WBPYEH",
"last_sync_error": "Failed to find external user for Milly",
"last_synced_at": "2023-11-07T13:33:30Z",
"mirror_window_days": 14,
"replica_fallback_user_id": "PA7AXXN",
"replica_provider": "pagerduty",
"replica_provider_id": "PO8107X",
"schedule_id": "01FDAG4SAP5TYPT98WGR2N7W91",
"sources": [
{
"layer_id": "01G0J1EXE7AXZ2C93K61WBPYNH",
"rotation_id": "01G0J1EXE7AXZ2C93K61WBPYEH"
}
],
"updated_at": "2021-08-17T13:28:57.801578Z",
"user_statuses": [
{
"external_user_id": "PJYTRGS",
"user_id": "01G0J1EXE7AXZ2C93K61WBPYEH"
}
]
}
]